import _extends from "@babel/runtime/helpers/esm/extends";
import cx from 'classnames';
import PropTypes from 'prop-types';
import ActionableTag from './Actionable/index.js';
import { DESIGNS, getActionableProps, getStandardProps, LINK_TYPES, SIZES } from './constants.js';
import StandardTag from './Standard.js';
import { jsx as _jsx } from "react/jsx-runtime";

var AtomTag = function AtomTag(props) {
  var design = props.design,
      href = props.href,
      icon = props.icon,
      onClick = props.onClick,
      responsive = props.responsive,
      size = props.size,
      type = props.type,
      readOnly = props.readOnly,
      disabled = props.disabled,
      _props$isFitted = props.isFitted,
      isFitted = _props$isFitted === void 0 ? false : _props$isFitted;
  var isActionable = onClick || href;
  var classNames = cx('sui-AtomTag', "sui-AtomTag-" + size, design && "sui-AtomTag--" + design, icon && 'sui-AtomTag-hasIcon', responsive && 'sui-AtomTag--responsive', type && "sui-AtomTag--" + type, isFitted && 'sui-AtomTag--isFitted');
  return isActionable ? /*#__PURE__*/_jsx(ActionableTag, _extends({}, getActionableProps(props), {
    disabled: disabled,
    readOnly: readOnly,
    className: classNames
  })) : /*#__PURE__*/_jsx(StandardTag, _extends({}, getStandardProps(props), {
    disabled: disabled,
    readOnly: readOnly,
    className: classNames
  }));
};

AtomTag.displayName = 'AtomTag';
AtomTag.defaultProps = {
  iconPlacement: 'left',
  size: SIZES.MEDIUM
};
export default AtomTag;
export { DESIGNS as atomTagDesigns };
export { LINK_TYPES as linkTypes };
export { LINK_TYPES as atomTagLinkTypes };
export { SIZES as atomTagSizes };